常见问题 - Firefox 附加组件技术之现代化

什么是旧式扩展?

使用和Firefox 57及以上版本不兼容框架开发的扩展(比如 SDK 或 XUL)都被认为是”旧式“扩展。

如何判断我是否安装了旧式扩展?

要查看是否安装了不兼容扩展,请打开附加组件管理器。点击菜单按钮 Fx57Menu 并选择 附加组件 或者直接在新标签页里输入 about:addons。如果你有旧式扩展,它将会列在 扩展 面板,并标记为 禁用,而且在省略号(三个点)菜单里没有启用的选项。

Fx68Addons-OldLegacyNowDisabled

如何判断我是否安装了旧式扩展?

要查看是否安装了不兼容扩展,请打开附加组件管理器。点击菜单按钮 Fx57Menu 并选择 附加组件 或者直接在新标签页里输入 about:addons。如果你有旧式扩展,你在屏幕顶部会看到:

Legacy extension warning

点击链接 “显示旧式扩展” 就会打开浏览器已安装的旧式扩展列表。点击扩展旁边的“找替代”就会查找推荐替代。你可以 在此 了解更多详情。

我看到 “旧式” 标签,是不是我的扩展会不工作?

是的,升级后带有”旧式“标签的附加组件不会在 Firefox 57 及以后版上工作。一些情况是,开发者会在2017年11月14日的期限之后在继续兼容改造。此时,扩展会在有兼容本版之后自动更新。

有没有关于旧式扩展的推荐替代?

有!打开附加组件管理器(点击菜单按钮 Fx57Menu 并选择 附加组件 或者直接在新标签页里输入 about:addons)并选择 旧式扩展。. 点击扩展旁边的“找替代”就会查找推荐替代。你可以在我们的博客中阅读更多关于此功能的信息。

我们建议你到精选部分或者到addons.mozilla.org(AMO)浏览和寻找兼容扩展。

另外,你可以使用 扩展查找应用 来搜索你想要代替的扩展和推荐的替代。

我的旧式附加组件没有推荐替代。怎么办?

如果没有找到合适的替代,请到 论坛 向社区寻求建议。

Firefox ESR何时会停止支持旧式扩展?

Firefox延长支持发布(ESR)版本52是最后支持旧式扩展的版本。ESR 52在2018年9月5日后不再有技术支持。

在2018年10月,所有旧式附加组件都会在addons.mozilla.org (AMO)被禁用。此时,用户就不能再在AMO搜索到旧式的附加组件了。

如果你决定运行旧的版本来使用旧式附加组件,那么你的安全将会有弱点,我们强烈建议你不要这样做。

完整主题会怎么样?

完整主题在 Firefox 57+上不工作并被禁用。如果你用的是暗主题,附加组件管理器的暗主题选项可能是一个好的替代。在about:addons的主题标签页来试一下。在今后的几个月内,我们会改进主题,所以 在未来的发布中请同时关注主题图片之外的其他主题功能。

Flash相关的附加组件会怎么样?

从Firefox 55版起,Adobe Flash默认不启动,因为 点击运行 Flash 是浏览器内置功能。你可以针对某些网站或全部网站 选择 Flash 的行为

有些最流行的 Flash 扩展在其成为浏览器的内置组件之前还能提供点击运行。由于这些现在扩展已经过时,其开发者不再会支持,所以它们可能不再工作。

还有些情况,我们使用 WebExtension API 来完成其他的Flash功能(比如 Flash LSO 删除),随着我们不断地使用和发现,我们期待附加组件将来能够弥补更多Flash的功能。

// 这些人帮助撰写了这篇文章:wxie 你也可以帮忙 - 来看看该怎么做

这篇文章对您有帮助吗? 请稍候...

成为 Mozilla 技术支持的志愿者